<div class="prx-wrapper">
    <div class="prx-row prx-row-adjust prx-small-collapse prx-medium-uncollapse" data-equalize-on-stack="true" data-equalizer data-equalize-on="medium">
        <div class="prx-columns prx-medium-4 prx-small-12 prx-article">
            <div class="prx-article__main" data-equalizer-watch>
                <img src="http://lorempixel.com/640/360/sports/" alt="placeholder image" />
                <h3>Very long lorem long longer title</h3>
                <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda error dolorum tempora doloremque asperiores. Placeat aperiam unde quibusdam, sapiente omnis impedit autem, iure dolores molestiae quisquam porro sint nostrum reiciendis?
                </p>
            </div>
            <div class="prx-article__footer">
                    <div class="prx-button">
                    <a href="#" class="">Let me do something</a>
                    </div>
                </div>
        </div>
        <div class="prx-columns prx-medium-4 prx-small-12 prx-article">
            <div class="prx-article__main" data-equalizer-watch>
                <img src="http://lorempixel.com/640/360/people/" alt="placeholder image" />
                <h3>Title</h3>
                <p Vel consequatur, recusandae ex repellendus id harum quis sunt in.Ero rerum repellat! Nemo, explicabo cupiditate iusto? Fugiat consectetur quas dolores, tempora magni nostrum aspernatur.</p>
            </div>
            <div class="prx-article__footer">
                    <div class="prx-button">
                    <a href="#" class="">Let me do something</a>
                    </div>
                </div>
        </div>
        <div class="prx-columns prx-medium-4 prx-small-12 prx-article">
            <div class="prx-article__main" data-equalizer-watch>
                <img src="http://lorempixel.com/640/360/animals/" alt="placeholder image" />
                <h3>Title</h3>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda error dolorum tempora doloremque asperiores.
                </p>
            </div>
            <div class="prx-article__footer">
                <div class="prx-button">
                <a href="#" class="">Let me do something</a>
                </div>
            </div>
        </div>

    </div>
</div>